summaryrefslogtreecommitdiff
path: root/tests/ln/backup-1
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>1999-01-18 02:54:56 +0000
committerJim Meyering <jim@meyering.net>1999-01-18 02:54:56 +0000
commit33a1515274272a806853e25ec333743d9e259b49 (patch)
treea4e7ae55264d9deef6fdf783a5419a8232ce1dc5 /tests/ln/backup-1
parent890d74d50b72479eb5d4a193b64cd46d660112de (diff)
downloadcoreutils-33a1515274272a806853e25ec333743d9e259b49.tar.xz
.
Diffstat (limited to 'tests/ln/backup-1')
-rwxr-xr-xtests/ln/backup-122
1 files changed, 22 insertions, 0 deletions
diff --git a/tests/ln/backup-1 b/tests/ln/backup-1
new file mode 100755
index 000000000..40b09dc26
--- /dev/null
+++ b/tests/ln/backup-1
@@ -0,0 +1,22 @@
+#!/bin/sh
+# Try to create a symlink with backup where the destination file exists
+# and the backup file name is a hard link to the destination file.
+# Based on a problem report from Jamie Lokier.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ ln --version
+fi
+
+framework_failure=0
+touch a b || framework_failure=1
+
+if test $framework_failure = 1; then
+ echo 'failure in testing framework'
+ exit 1
+fi
+
+ln b b~ || fail=1
+ln -V simple -f -b a b || fail=1
+
+exit $fail